#include "projet.h"

TER_param_diamsquare_t diamsq_param;

void
diamsqw_fill_params (GtkWidget * window)
{
  GtkSpinButton *spb;
  GtkCheckButton *cb;

  spb =
    GTK_SPIN_BUTTON (lookup_widget (GTK_WIDGET (window), "dsqw_hsb"));
  diamsq_param.h = gtk_spin_button_get_value_as_float (spb);

  spb = GTK_SPIN_BUTTON (lookup_widget (GTK_WIDGET (window), "dsqw_factsb"));
  diamsq_param.factor = gtk_spin_button_get_value_as_int (spb);

  cb = GTK_CHECK_BUTTON (lookup_widget (GTK_WIDGET (window), "dsqw_wrapbox"));
  diamsq_param.wrap = ((gtk_toggle_button_get_active (GTK_TOGGLE_BUTTON(cb))) ? 1 : 0);
  
  /*g_print ("parameters: h=%f, factor=%f, wrap=%d\n",
	   diamsq_param.h, diamsq_param.factor, diamsq_param.wrap);*/
}

void
on_diamsqw_okb_clicked (GtkButton * button, gpointer user_data)
{
  /* recupere les parametres */
  diamsqw_fill_params (GTK_WIDGET (user_data));
  terrain->spec_param = (void *) &diamsq_param;

  gtk_widget_destroy (GTK_WIDGET (user_data));

  gtkglw_activate_buttons();
  
  terrain->algo = TERR_DIAM;  
  ui_generic_generate_new_terrain (terrain);
}
