#ifndef __GTLGLW_H__
#define __GTLGLW_H__

GtkWidget *create_gl_window (void);

void on_gl_window_destroy (GtkObject * object, gpointer user_data);

gboolean
on_gl_window_draw (GtkWidget * widget, GdkEventExpose * event, gpointer data);

gboolean
on_gl_window_reshape (GtkWidget * widget,
		      GdkEventConfigure * event, gpointer data);

void on_gl_window_init (GtkWidget * widget, gpointer data);

gboolean on_gl_window_idle (GtkWidget * widget);

void gl_window_idle_add (GtkWidget * widget);

void gl_window_idle_remove (GtkWidget * widget);

gboolean
on_gl_window_map (GtkWidget * widget, GdkEventAny * event, gpointer data);

gboolean
on_gl_window_unmap (GtkWidget * widget, GdkEventAny * event, gpointer data);

gboolean
on_gl_window_visible (GtkWidget * widget,
		      GdkEventVisibility * event, gpointer data);

gboolean
on_gl_window_key (GtkWidget * widget, GdkEventKey * event, gpointer data);

void on_nouveau1_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_ouvrir1_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_enregistrer1_activate (GtkMenuItem * menuitem, gpointer user_data);

void
on_enregistrer_sous1_activate (GtkMenuItem * menuitem, gpointer user_data);
void on_exporter1_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_quitter1_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_about1_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_renderw_newb_clicked (GtkObject * object, gpointer user_data);

void on_renderw_refrb_clicked (GtkObject * object, gpointer user_data);

void on_renderw_openb_clicked (GtkObject * object, gpointer user_data);

void on_renderw_saveb_clicked (GtkObject * object, gpointer user_data);

void on_about1_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_filtres1_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_renderw_filtersb_clicked (GtkObject * object, gpointer user_data);
void
on_backfaceculling1_activate (GtkCheckMenuItem * menuitem,
			      gpointer user_data);
void on_wireframe1_activate (GtkCheckMenuItem * menuitem, gpointer user_data);

void on_terrain1_activate (GtkRadioMenuItem * menuitem, gpointer user_data);
void on_camera1_activate (GtkRadioMenuItem * menuitem, gpointer user_data);

void gtkglw_activate_buttons ();
#endif
